### Method

# Soup Session get_feature

#### Declaration [src]

    SoupSessionFeature*
    soup_session_get_feature (
      SoupSession* session,
      GType feature_type
    )

#### Description [src]

Gets the feature in `session` of type `feature_type`.

#### Parameters

`feature_type`

  Type: `GType`

  The `GType` of the feature to get.

#### Return value

Type: `SoupSessionFeature`

A `SoupSessionFeature`, or `NULL`. The feature is owned by `session`.

The data is owned by the instance.
The return value can be `NULL`.